unit VendeItemd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Mask;

type
  TFormVendeItemD = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    ComboBox1: TComboBox;
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    MaskEdit1: TMaskEdit;
    Label4: TLabel;
    Label5: TLabel;
    MaskEdit2: TMaskEdit;
    Label6: TLabel;
    MaskEdit3: TMaskEdit;
    Label7: TLabel;
    MaskEdit4: TMaskEdit;
    Label8: TLabel;
    MaskEdit5: TMaskEdit;
    Label9: TLabel;
    Edit2: TEdit;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormVendeItemD: TFormVendeItemD;

implementation

uses principal, funcoesapoio, declaracoes;

{$R *.dfm}

procedure TFormVendeItemD.BitBtn1Click(Sender: TObject);
var valor:string;
begin
        FormPrincipal.CodigoItem:=Edit1.Text;
        FormPrincipal.DescricaoItem:=Memo1.Text;
        FormPrincipal.AliquotaItem:=ComboBox1.Text;
        FormPrincipal.QtdeItem:=MaskEdit1.Text;
        FormPrincipal.UnitarioItem:=MaskEdit2.Text;

        valor:=Maskedit3.Text; virgula:=pos(',',valor);
        Delete(valor, virgula, 1);
        FormPrincipal.AcrescimoItem:=valor;

        valor:=Maskedit4.Text; virgula:=pos(',',valor);
        Delete(valor, virgula, 1);
        FormPrincipal.DescontoItem:=valor;

        FormPrincipal.Indicedepto:='00';
        FormPrincipal.UnidadeMedida:=Edit2.Text;

        if not ((FormPrincipal.CodigoItem = #0) or (FormPrincipal.DescricaoItem = #0) or
                (FormPrincipal.AliquotaItem = #0) or (FormPrincipal.QtdeItem = #0) or
                (FormPrincipal.UnitarioItem = #0) or (FormPrincipal.DescontoItem = #0) or
                 (FormPrincipal.AcrescimoItem= #0) or (FormPrincipal.IndiceDepto = #0))then begin
                FormPrincipal.Statusbar1.Panels[0].Text:='Vende Item departamento'; WaitProcess;

                Resposta:=ECF_VendeItemDepartamento(FormPrincipal.CodigoItem, FormPrincipal.DescricaoItem, FormPrincipal.AliquotaItem,  FormPrincipal.UnitarioItem, FormPrincipal.QtdeItem, FormPrincipal.AcrescimoItem, FormPrincipal.DescontoItem, FormPrincipal.IndiceDepto, FormPrincipal.UnidadeMedida);

                FormPrincipal.Memo1.Lines.Add('');
                FormPrincipal.Memo1.Lines.Add('Vende Item Departamento:'+inttostr(Resposta));
                FormPrincipal.Memo1.Lines.Add('');

                VerificaRetornoFuncao(Resposta);
                Refresh;
        end;




end;

procedure TFormVendeItemD.FormShow(Sender: TObject);
var i:integer;
begin
        CapturaDadosProgamadosECF(1); // Captura Alíquotas ICMS
        for i:=1 to 20 do begin
                if not (Aliquotas_ICMS_ISS[i].taxa='') then
                        Combobox1.Items.ADD(Aliquotas_ICMS_ISS[i].taxa);
        end;
        Combobox1.Items.ADD('FF');
        Combobox1.Items.ADD('II');
        Combobox1.Items.ADD('NN');
        Combobox1.Items.ADD('FS');
        Combobox1.Items.ADD('IS');
        Combobox1.Items.ADD('NS');
        ComboBox1.Text:=Aliquotas_ICMS_ISS[1].taxa;
        Edit1.Setfocus;
end;

procedure TFormVendeItemD.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
        HabilitaDesabilitaItensMenu(1);// Habilita os menus
        FormPrincipal.cursor:=crDefault;
end;

end.
